CUDA Driver API Specific Functions

## Functions

static inline int | hwloc_cuda_get_device_cpuset (hwloc_topology_t topology , CUdevice cudevice, hwloc_cpuset_t set)

## Function Documentation

static inline int hwloc_cuda_get_device_cpuset | ( | hwloc_topology_t topology | ,
|  | CUdevice | cudevice,
|  | hwloc_cpuset_t | set
| ) |  | `[static]`

Get the CPU set of logical processors that are physically close to device `cudevice`.

For the given CUDA Driver API device `cudevice`, read the corresponding kernel-provided cpumap file and return the corresponding CPU set. This function is currently only implemented in a meaningful way for Linux; other systems will simply get a full cpuset.